# saga::cpr::attributes Namespace Reference

Available attributes defined for the CPR API package. More...

## Variables
char const *const | cpr_time = "Time"
| [rw] time of creation
char const *const | cpr_nfliles = "NFiles"
| [ro] number of files in checkpoint
char const *const | cpr_mode = "Mode"
| [ro] checkpoint mode (Full, Incremental)
char const *const | cpr_mode_full = "Full"
| [rw] possible Mode values
char const *const | cpr_mode_incremental = "Incremental"
char const *const | cpr_parent = "Parent"
| [ro] Reference for incremental checkpoints. For full checkpoints, points to previous checkpoint (Incremental or full).
char const *const | cpr_children = "Children"
| [ro] checkpoints following this checkpoint (if known)

## Detailed Description

Available attributes defined for the CPR API package.

## Variable Documentation

char const* const saga::cpr::attributes::cpr_time = "Time"

[rw] time of creation

Referenced by saga::cpr::checkpoint::checkpoint().

char const* const saga::cpr::attributes::cpr_nfliles = "NFiles"

[ro] number of files in checkpoint

Referenced by saga::cpr::checkpoint::checkpoint().

char const* const saga::cpr::attributes::cpr_mode = "Mode"

[ro] checkpoint mode (Full, Incremental)

Referenced by saga::cpr::checkpoint::checkpoint().

char const* const saga::cpr::attributes::cpr_mode_full = "Full"

[rw] possible Mode values

char const* const saga::cpr::attributes::cpr_mode_incremental = "Incremental"

char const* const saga::cpr::attributes::cpr_parent = "Parent"

[ro] Reference for incremental checkpoints. For full checkpoints, points to previous checkpoint (Incremental or full).

Referenced by saga::cpr::checkpoint::checkpoint().

char const* const saga::cpr::attributes::cpr_children = "Children"

[ro] checkpoints following this checkpoint (if known)

Referenced by saga::cpr::checkpoint::checkpoint().